### Enumeration

# Gio SocketClientEvent

since: 2.32

#### Declaration

    enum Gio.SocketClientEvent

#### Description

Describes an event occurring on a `GSocketClient`. See the `GSocketClient::event` signal for more details.

Additional values may be added to this type in the future.

Available since: 2.32

#### Members

`G_SOCKET_CLIENT_RESOLVING`

  The client is doing a DNS lookup.

  - Value: `0`
  - Nickname: `resolving`
  - Available since: 2.32
`G_SOCKET_CLIENT_RESOLVED`

  The client has completed a DNS lookup.

  - Value: `1`
  - Nickname: `resolved`
  - Available since: 2.32
`G_SOCKET_CLIENT_CONNECTING`

  The client is connecting to a remote host (either a proxy or the destination server).

  - Value: `2`
  - Nickname: `connecting`
  - Available since: 2.32
`G_SOCKET_CLIENT_CONNECTED`

  The client has connected to a remote host.

  - Value: `3`
  - Nickname: `connected`
  - Available since: 2.32
`G_SOCKET_CLIENT_PROXY_NEGOTIATING`

  The client is negotiating with a proxy to connect to the destination server.

  - Value: `4`
  - Nickname: `proxy-negotiating`
  - Available since: 2.32
`G_SOCKET_CLIENT_PROXY_NEGOTIATED`

  The client has negotiated with the proxy server.

  - Value: `5`
  - Nickname: `proxy-negotiated`
  - Available since: 2.32
`G_SOCKET_CLIENT_TLS_HANDSHAKING`

  The client is performing a TLS handshake.

  - Value: `6`
  - Nickname: `tls-handshaking`
  - Available since: 2.32
`G_SOCKET_CLIENT_TLS_HANDSHAKED`

  The client has performed a TLS handshake.

  - Value: `7`
  - Nickname: `tls-handshaked`
  - Available since: 2.32
`G_SOCKET_CLIENT_COMPLETE`

  The client is done with a particular `GSocketConnectable`.

  - Value: `8`
  - Nickname: `complete`
  - Available since: 2.32